@import url('https://fonts.googleapis.com/css2?family=Albert+Sans:ital,wght@0,100..900;1,100..900&family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.cdnfonts.com/css/nats');


* {
            box-sizing: border-box;
        }
        
        body {
            background-color: black;
            color: white;
            font-family: Albert Sans, sans-serif;
        }
        
        .container {
            padding: 25px;
            max-width: 100%;
            
        }
        
        header {
            height: 20vh;
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-top: -40px;
        }
        
        .logo-name {
            display: flex;
            align-items: center;
            gap: 5px;
        }
        
        .logo img{
            width: 50px;
            height: 50px;
            background-color: yellow;
            border-radius: 50%;
        }
        
        .name {
            font-size: 20px;
            font-weight: bold;
            padding-left: 10px;
        }
        
        nav {
            display: flex;
            gap: 20px;
            margin-left: 50px;
            font-family: Nats, sans-serif;
            line-height: 1;
            
            
        }
        
        nav a {
            color: white;
            text-decoration: none;
            font-size: 18px;
        }
        
        nav a:hover {
            color: yellow;
        }
        
  .section-title {
    margin: 30px 0 20px 0;
    font-size: 24px;
     }





/* Fade-in Animation */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
/* Grid Layout for Project Pages */
.grid-container {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 10px;
    margin: 0 15%;
}

/* Title Section Styling */
.title h1 {
    font-size: 30px;
    font-weight: bold;
    color: white;
    margin-bottom: 10px;
    animation: fadeIn 1.5s ease-in-out forwards;
    opacity: 0;
}

.title h2, .article h2 {
    font-size: 15px;
    font-weight: normal;
    color: #999;
    margin-top: 5px;
    font-family: JetBrains Mono;
    animation: fadeIn 1.5s ease-in-out forwards;
    opacity: 0;
    
}

/* Article Section Styling */
.article h3 {
    font-size: 16px;
    font-weight: normal;
    color: white;
    line-height: 1.5;
    margin-bottom: 15px;
    animation: fadeIn 1.5s ease-in-out forwards;
    opacity: 0;
}

/* Gallery Section Styling */
.gallery {
    display: contents; /* This makes the gallery div behave as if it doesn't exist in the grid */
    
}


.content-item {
    margin-bottom: 10px;
    animation: fadeIn 4s ease-in-out forwards;
    opacity: 0;
    
}

.content-item img {
    display: block;
    max-width: 100%;
    height: auto;
   
    min-height: 100px; 
}

.content-item iframe {
    display: block;
    width: 100%;
    aspect-ratio: 16 / 9; /* Adjust aspect ratio as needed */
    min-height: 200px;
    border: none;
   
}

/* Navigation Buttons */
.navigation-buttons {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: 20px 15px;
    margin-top: 20px;
}

.close-button, .next-button {
    color: white;
    text-decoration: none;
    font-size: 14px;
    padding: 8px 12px;
    border: 1px solid white;
    border-radius: 4px;
    transition: all 0.3s ease;
}

.close-button {
    margin-left: 15px;
}

.next-button {
    margin-right: 15px;
}

.close-button:hover, .next-button:hover {
    background-color: white;
    color: black;
}


footer {
    height: 15vh;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 20px;
    font-size: 13px;
}

.footer-left, .footer-right {
    padding-bottom: 10px;
}

 .button-container {
        display: flex;
       margin-top: 30px;
        align-items: center;
     animation: fadeIn 2s ease-in-out forwards;
    opacity: 0;
     
    
    }

    .visit-button {
        width: 120px;
        padding: 10px;
        border: 2px solid white;
        color: white;
        background: transparent;
        border-radius: 50px;
        font-size: 14.5px;
        text-align: center;
        cursor: pointer;
        transition: 0.3s ease-in-out;
        position: relative;
    }

    .visit-button:hover {
        box-shadow: 0 0 10px hotpink, 0 0 20px hotpink inset;
        color: hotpink;
        border-color: hotpink;
    }

.audio-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

audio {
    width: 300px;
    border-radius: 10px;
    padding: 5px;

}

.video-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: auto;
}

#playPauseButton {
    margin-top: 10px;
    
        padding: 10px;
        border: 2px solid white;
        color: white;
        background: transparent;
        border-radius: 50px;
        font-size: 14.5px;
        text-align: center;
        cursor: pointer;
        transition: 0.3s ease-in-out;
        position: relative;
}

 #playPauseButton:hover {
        box-shadow: 0 0 10px hotpink, 0 0 20px hotpink inset;
        color: hotpink;
        border-color: hotpink;
    }

/* Media Queries */
@media (max-width: 767px) {
    .grid-container {
        grid-template-columns: 1fr;
        margin: 0 20px;
    }
    
    .title, .article, .content-item {
        grid-column: span 1 !important; /* Override inline styles for mobile */
    }
    
}

@media (min-width: 768px) {
    .container {
        padding: 25px;
    }
    
    footer {
        padding: 20px;
    }
}